Name:      uio-print-ppds
Version:   0.3
Release:   4%{?dist}
Summary:   PPDs for UiO pullprint

Group:     System Environment/Base
License:   GPLv3+
URL:       http://www.uio.no/tjenester/it/utskrift/

Source0:   README
Source1:   hp-color_laserjet_flow_mfp_m880-ps.ppd.gz
Source2:   Ricoh-MP_C6003-Postscript-Ricoh-en.ppd.gz
Source3:   Ricoh-MP_C6004-Postscript-Ricoh.ppd.gz
Source4:   xrx7345.ppd.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

Requires:  cups hplip

%description
This package contains PPD files for use with UiO pullprint.

%prep
%setup -q -c -T
install -p -m 0644 %{SOURCE0} .

%build

%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}%{_datadir}/ppd/pullprint
install -p -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/ppd/pullprint
install -p -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/ppd/pullprint
install -p -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/ppd/pullprint
install -p -m 0644 %{SOURCE4} %{buildroot}%{_datadir}/ppd/pullprint

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README
%{_datadir}/ppd/pullprint/*


%changelog
* Fri Jun 15 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.3-4
- Remove uncompressed PPD files (f28 issue fixed)

* Thu Jun 14 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.3-3
- Include uncompressed PPD files (f28 issues)

* Thu Jun 14 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.3-2
- Include bofh new and old Ricoh PPD

* Thu Jun 14 2018 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.3-1
- New Ricoh PPD (C6003 -> C6004)

* Thu May  7 2015 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.2-1
- Switch driver for Xerox
- Add requires hplip

* Wed May  6 2015 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 0.1-1
- Initial release
